Uses Dos;
{$I stack.inc}
{$I Tables.inc}
{$I PasFile.inc}
{$I syntax.inc}
Var
  F : PasFile;
{$I Lingvo.inc}
Procedure Help;
Begin
  WriteLn('Some Help...');
  Halt;
End;
Var
  III : Byte;

Begin
  WriteLn('Компилятор для языка Паскаль');
  If ParamCount<1 Then Help;
  F.Init(ParamStr(1));
{  While Not F.EndOfFile Do Write(Chr(F.ReadNextByte));}
  MakeLists;
  If ErCode<>0 Then Begin
    III:=40;
    WriteLn('Ошибка :',ErCode,' -> после:',ErString);
    While (Not F.EndOfFile) And (III>0) Do Begin Write(Chr(F.ReadNextByte));Dec(III);End;
    Halt;
  End;
{-----todo------}  
  MakeSyntax;
  PrintLingvo;
  F.Done;
End.